import 'package:flutter/material.dart';

class ContactScreen extends StatelessWidget {
  const ContactScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Container(
        margin: EdgeInsets.all(30),
        child: Center(
          child: Column(
            spacing: 10,
            children: [
              Text(
                "Contáctanos",
                style: TextStyle(fontWeight: FontWeight.bold, fontSize: 30),
              ),
              Text(
                "Trasládanos tus dudas e intentaremos responderte lo antes posible",
              ),
              DropdownMenu(
                initialSelection: "es",
                label: Text("País"),
                dropdownMenuEntries: [
                  DropdownMenuEntry(value: "es", label: "España"),
                  DropdownMenuEntry(value: "fr", label: "Francia"),
                  DropdownMenuEntry(value: "pt", label: "Portugal"),
                ],
              ),
              DropdownMenu(
                initialSelection: "online",
                label: Text("Canal de compra"),
                dropdownMenuEntries: [
                  DropdownMenuEntry(value: "online", label: "SF online shop"),
                ],
              ),
              Expanded(
                child: TextField(
                  decoration: InputDecoration(
                    labelText: "Nombre",
                    hintText: "Nombre y apellidos",
                    border: OutlineInputBorder(),
                  ),
                ),
              ),
              Expanded(
                child: TextField(
                  decoration: InputDecoration(
                    labelText: "Correo electrónico",
                    hintText: "Correo electrónico",
                    border: OutlineInputBorder(),
                  ),
                ),
              ),
              Expanded(
                child: TextField(
                  minLines: 3,
                  maxLines: 3,
                  decoration: InputDecoration(
                    labelText: "Asunto del mensaje",
                    hintText: "Escribe tu mensaje",
                    border: OutlineInputBorder(),
                  ),
                ),
              ),
              Expanded(
                child: FilledButton(
                  onPressed: () => Navigator.pop(context),
                  child: Text("Enviar"),
                ),
              ),
            ],
          ),
        ),
      ),
    );
  }
}
